import { get, post } from './base'

/**
 * 请求验证码
 * @param phone 手机号
 * @param type 类型 0国内 1国外
 */

export function sendsms(phone: string, type?: number){
    return post('SendSms',{phone, type})
}

/**
 * 用户名密码登录
 * @param phone 手机号
 * @param password 密码
 */

export function loginpass(phone: string, password: string){
    return post("login",{type: 2,username: phone, password: password})
}

/**
 * 用户信息详情
 */
export function userinfo(){
    return get('personalInfo')
}